List API Keys
curl --request GET \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/apikey \
--header 'Authorization: Bearer <token>' \
--header 'x-partner-id: <x-partner-id>'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/apikey"
headers = {
"x-partner-id": "<x-partner-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-partner-id': '<x-partner-id>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/apikey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"count": 1,
"api_keys": [
{
"access": {
"customers_read": true,
"customers_write": true,
"transactions_read": true,
"transactions_write": true
},
"created_at": {
"seconds": 1692260424
},
"description": "Api key for customer API access",
"enabled": true,
"name": "Customers Api Key (Enabled)",
"partner_id": "part_cjes76vsemvj3obsnc30",
"secret_key": "AB6DBC62DBA42EE52BC3928E772FBE3C",
"token": "api_cjetgi7semvjct8hhqm0",
"updated_at": {
"seconds": 1692260453
}
}
]
},
"ok": true
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}API Keys
List API Keys
List or search api keys generated against a Namespace
GET
/
api
/
v1
/
csp
/
apikey
List API Keys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Partner ID header used for authorization
Query Parameters
Filter based on API Key names
Example:
"Customers"
Filter based on API Key Secret keys
Example:
"36BFB7C90C7A1D3D4E09E2E2C05DDD3E"
Filter for only enabled or disabled API keys
Example:
true
Set the limit for search results
Example:
"3"
Set the page offset
Example:
"1"
Was this page helpful?
⌘I